org.eclipse.jetty.util

## Interface Scanner.DiscreteListener

All Superinterfaces:
  Scanner.Listener

All Known Implementing Classes:
  ContextDeployer.ScannerListener

Enclosing class:
  Scanner

    public static interface Scanner.DiscreteListener
    extends Scanner.Listener

### Method Summary

Methods
`void` `fileAdded(String filename)`
`void` `fileChanged(String filename)`
`void` `fileRemoved(String filename)`

### Method Detail

#### fileChanged

    void fileChanged(String filename)
                     throws Exception

Throws:
  `Exception`

#### fileAdded

    void fileAdded(String filename)
                   throws Exception

Throws:
  `Exception`

#### fileRemoved

    void fileRemoved(String filename)
                     throws Exception

Throws:
  `Exception`